Subject: Re: bug#53126: 29.0.50; [PATCH] Lazy highlight/count when reading query-replace string, etc.

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Mar 2022 21:53:41 +0200

>> Unfortunately, there is a regression: isearch-yank-char-in-minibuffer
>> bound to C-f and [right] in the minibuffer of isearch-edit-string
>> doesn't work anymore.
>
> The following patch solves to problem for me.
>
> The point doesn't move visually, so selecting the isearch window puts it
> in the right place.  But what exactly happens to the point in the
> searched buffer?  I find this rather confusing!
>
> @@ -2670,7 +2670,7 @@ isearch-yank-char-in-minibuffer
>    (interactive "p")
>    (if (eobp)
>        (insert
> -       (with-current-buffer (cadr (buffer-list))
> +       (with-minibuffer-selected-window

Thanks, I confirm your patch fixes the problem.
But before pushing it, I'd like to understand
how your previous patches changed the order
of the buffer list?  Before your changes,
(cadr (buffer-list)) returned the original buffer,
but now it returns the minibuffer.